ServerEvents.recipes(event => {
  event.remove({ output: 'projectexpansion:matter_upgrader' })
  event.remove({ output: 'projectexpansion:violet_collector' })
  event.remove({ output: 'projectexpansion:blue_collector' })
  event.remove({ output: 'projectexpansion:cyan_collector' })
  event.remove({ output: 'projectexpansion:green_collector' })
  event.remove({ output: 'projectexpansion:lime_collector' })
  event.remove({ output: 'projectexpansion:yellow_collector' })
  event.remove({ output: 'projectexpansion:orange_collector' })
  event.remove({ output: 'projectexpansion:white_collector' })
  event.remove({ output: 'projectexpansion:fading_collector' })
  event.remove({ output: 'projectexpansion:final_collector' })
  
  event.remove({ output: 'projectexpansion:violet_relay' })
  event.remove({ output: 'projectexpansion:blue_relay' })
  event.remove({ output: 'projectexpansion:cyan_relay' })
  event.remove({ output: 'projectexpansion:green_relay' })
  event.remove({ output: 'projectexpansion:lime_relay' })
  event.remove({ output: 'projectexpansion:yellow_relay' })
  event.remove({ output: 'projectexpansion:orange_relay' })
  event.remove({ output: 'projectexpansion:white_relay' })
  event.remove({ output: 'projectexpansion:fading_relay' })
  event.remove({ output: 'projectexpansion:final_relay' })
  
  event.remove({ output: 'projectexpansion:violet_compressed_collector' })
  event.remove({ output: 'projectexpansion:blue_compressed_collector' })
  event.remove({ output: 'projectexpansion:cyan_compressed_collector' })
  event.remove({ output: 'projectexpansion:green_compressed_collector' })
  event.remove({ output: 'projectexpansion:lime_compressed_collector' })
  event.remove({ output: 'projectexpansion:yellow_compressed_collector' })
  event.remove({ output: 'projectexpansion:orange_compressed_collector' })
  event.remove({ output: 'projectexpansion:white_compressed_collector' })
  event.remove({ output: 'projectexpansion:fading_compressed_collector' })
  event.remove({ output: 'projectexpansion:final_compressed_collector' })
  
  event.remove({ output: 'projectexpansion:violet_emc_link' })
  event.remove({ output: 'projectexpansion:blue_emc_link' })
  event.remove({ output: 'projectexpansion:cyan_emc_link' })
  event.remove({ output: 'projectexpansion:green_emc_link' })
  event.remove({ output: 'projectexpansion:lime_emc_link' })
  event.remove({ output: 'projectexpansion:yellow_emc_link' })
  event.remove({ output: 'projectexpansion:orange_emc_link' })
  event.remove({ output: 'projectexpansion:white_emc_link' })
  event.remove({ output: 'projectexpansion:fading_emc_link' })
  event.remove({ output: 'projectexpansion:final_emc_link' })
  
  event.remove({ output: 'projectexpansion:violet_power_flower' })
  event.remove({ output: 'projectexpansion:blue_power_flower' })
  event.remove({ output: 'projectexpansion:cyan_power_flower' })
  event.remove({ output: 'projectexpansion:green_power_flower' })
  event.remove({ output: 'projectexpansion:lime_power_flower' })
  event.remove({ output: 'projectexpansion:yellow_power_flower' })
  event.remove({ output: 'projectexpansion:orange_power_flower' })
  event.remove({ output: 'projectexpansion:white_power_flower' })
  event.remove({ output: 'projectexpansion:fading_power_flower' })
  event.remove({ output: 'projectexpansion:final_power_flower' })
  
  event.remove({ output: 'projectexpansion:violet_fuel' })
  event.remove({ output: 'projectexpansion:blue_fuel' })
  event.remove({ output: 'projectexpansion:cyan_fuel' })
  event.remove({ output: 'projectexpansion:green_fuel' })
  event.remove({ output: 'projectexpansion:lime_fuel' })
  event.remove({ output: 'projectexpansion:yellow_fuel' })
  event.remove({ output: 'projectexpansion:orange_fuel' })
  event.remove({ output: 'projectexpansion:white_fuel' })
  
  event.remove({ output: 'projectexpansion:magenta_fuel_block' })
  event.remove({ output: 'projectexpansion:pink_fuel_block' })
  event.remove({ output: 'projectexpansion:purple_fuel_block' })
  event.remove({ output: 'projectexpansion:violet_fuel_block' })
  event.remove({ output: 'projectexpansion:blue_fuel_block' })
  event.remove({ output: 'projectexpansion:cyan_fuel_block' })
  event.remove({ output: 'projectexpansion:green_fuel_block' })
  event.remove({ output: 'projectexpansion:lime_fuel_block' })
  event.remove({ output: 'projectexpansion:yellow_fuel_block' })
  event.remove({ output: 'projectexpansion:orange_fuel_block' })
  event.remove({ output: 'projectexpansion:white_fuel_block' })
  
  event.remove({ output: 'projectexpansion:violet_matter' })
  event.remove({ output: 'projectexpansion:blue_matter' })
  event.remove({ output: 'projectexpansion:cyan_matter' })
  event.remove({ output: 'projectexpansion:green_matter' })
  event.remove({ output: 'projectexpansion:lime_matter' })
  event.remove({ output: 'projectexpansion:yellow_matter' })
  event.remove({ output: 'projectexpansion:orange_matter' })
  event.remove({ output: 'projectexpansion:white_matter' })
  event.remove({ output: 'projectexpansion:fading_matter' })
  
  event.remove({ output: 'projectexpansion:violet_matter_block' })
  event.remove({ output: 'projectexpansion:blue_matter_block' })
  event.remove({ output: 'projectexpansion:cyan_matter_block' })
  event.remove({ output: 'projectexpansion:green_matter_block' })
  event.remove({ output: 'projectexpansion:lime_matter_block' })
  event.remove({ output: 'projectexpansion:yellow_matter_block' })
  event.remove({ output: 'projectexpansion:orange_matter_block' })
  event.remove({ output: 'projectexpansion:white_matter_block' })
  event.remove({ output: 'projectexpansion:fading_matter_block' })
  
  
  event.remove({ output: 'projectexpansion:final_star_shard' })
  event.remove({ output: 'projectexpansion:final_star' })
  event.remove({ output: 'projectexpansion:compact_sun' })
  event.remove({ output: 'projecte:black_hole_band' })
  event.remove({ output: 'projecte:ignition_ring' })
  event.remove({ output: 'projecte:zero_ring' })
  event.remove({ output: 'projecte:swiftwolf_rending_gale' })
  event.remove({ output: 'projecte:archangel_smite' })
  event.remove({ output: 'projectexpansion:knowledge_sharing_book' })
  event.remove({ output: 'projectexpansion:basic_alchemical_book' })
  event.remove({ output: 'projectexpansion:advanced_alchemical_book' })
  event.remove({ output: 'projectexpansion:master_alchemical_book' })
  event.remove({ output: 'projectexpansion:arcane_alchemical_book' })
  event.remove({ output: 'projecte:collector_mk1' })
  event.remove({ output: 'projecte:collector_mk2' })
  event.remove({ output: 'projecte:collector_mk3' })
  event.remove({ output: 'projecte:relay_mk1' })
  event.remove({ output: 'projecte:relay_mk2' })
  event.remove({ output: 'projecte:relay_mk3' })
  event.remove({ output: 'projectexpansion:magenta_fuel' })
  event.remove({ output: 'projectexpansion:pink_fuel' })
  event.remove({ output: 'projectexpansion:purple_fuel' })
  event.remove({ output: 'projecte:gem_of_eternal_density' })
  event.remove({ output: 'projecte:interdiction_torch' })
  event.remove({ output: 'projecte:vooutput_ring' })
  event.remove({ output: 'projecte:body_stone' })
  event.remove({ output: 'projecte:soul_stone' })
  event.remove({ output: 'projecte:mind_stone' })
  event.remove({ output: 'projecte:mercurial_eye' })
  event.remove({ output: 'projecte:philosophers_stone' })
  event.remove({ output: 'projecte:catalytic_lens' })
  event.remove({ output: 'projecte:repair_talisman' })
  event.remove({ output: 'projecte:dark_matter' });
  event.remove({ output: 'projecte:red_matter' });
  event.remove({ output: 'projectexpansion:magenta_matter' });
  event.remove({ output: 'projectexpansion:pink_matter' });
  event.remove({ output: 'projectexpansion:purple_matter' });
  event.remove({ output: 'projecte:alchemical_coal' });
  event.remove({ output: 'projecte:mobius_fuel' });
  event.remove({ output: 'projecte:aeternalis_fuel' });
  event.remove({ output: 'projectexpansion:magenta_fuel' });
  event.remove({ output: 'projectexpansion:pink_fuel' });
  event.remove({ output: 'projectexpansion:purple_fuel' });
  event.remove({ output: 'projecte:evertoutpute_amulet' })
  event.remove({ output: 'projecte:volcanite_amulet' })
  
  
  event.remove({ output: 'projectexpansion:basic_collector' })
  event.remove({ output: 'projectexpansion:dark_collector' })
  event.remove({ output: 'projectexpansion:red_collector' })
  event.remove({ output: 'projectexpansion:magenta_collector' })
  event.remove({ output: 'projectexpansion:pink_collector' })
  event.remove({ output: 'projectexpansion:purple_collector' })
  event.remove({ output: 'projectexpansion:basic_relay' })
  event.remove({ output: 'projectexpansion:dark_relay' })
  event.remove({ output: 'projectexpansion:red_relay' })
  event.remove({ output: 'projectexpansion:magenta_relay' })
  event.remove({ output: 'projectexpansion:pink_relay' })
  event.remove({ output: 'projectexpansion:purple_relay' })
  event.remove({ output: 'projectexpansion:basic_compressed_collector' })
  event.remove({ output: 'projectexpansion:dark_compressed_collector' })
  event.remove({ output: 'projectexpansion:red_compressed_collector' })
  event.remove({ output: 'projectexpansion:magenta_compressed_collector' })
  event.remove({ output: 'projectexpansion:pink_compressed_collector' })
  event.remove({ output: 'projectexpansion:purple_compressed_collector' })
  event.remove({ output: 'projecte:condenser_mk2' })
  event.remove({ output: 'projectexpansion:infinite_steak' })
  event.remove({ output: 'projecte:arcana_ring' })
  event.remove({ output: 'projecte:alchemical_chest' })
  event.remove({ output: 'projecte:condenser_mk1' })
  event.remove({ output: 'projectexpansion:infinite_fuel' })
  event.remove({ output: 'projecte:nova_cataclysm' })
  event.remove({ output: 'projecte:nova_catalyst' })
  event.remove({ output: 'appliede:emc_module' })
  
  event.remove({ output: 'projectexpansion:transmutation_interface' })
  event.remove({ output: 'projecte:dm_helmet' })
  event.remove({ output: 'projecte:dm_chestplate' })
  event.remove({ output: 'projecte:dm_leggings' })
  event.remove({ output: 'projecte:dm_boots' })
  event.remove({ output: 'projecte:rm_helmet' })
  event.remove({ output: 'projecte:rm_chestplate' })
  event.remove({ output: 'projecte:rm_leggings' })
  event.remove({ output: 'projecte:rm_boots' })
  event.remove({ output: 'projecte:gem_helmet' })
  event.remove({ output: 'projecte:gem_chestplate' })
  event.remove({ output: 'projecte:gem_leggings' })
  event.remove({ output: 'projecte:gem_boots' })
  event.remove({ output: 'projectexpansion:final_star_shard' })
  event.remove({ output: 'projectexpansion:final_star' })
  event.remove({ output: 'projecte:watch_of_flowing_time' })
  event.remove({ output: 'projecte:dm_pedestal' })
  event.remove({ output: 'projecte:transmutation_table' })
  
  event.remove({ output: "projecte:hyperkinetic_lens" });
  event.remove({ output: "projecte:destruction_catalyst" });
  event.remove({ output: "projecte:catalytic_lens" });
  event.remove({ output: "projecte:alchemical_coal" });
  event.remove({ output: "projecte:mobius_fuel" });
  event.remove({ output: "projecte:aeternalis_fuel" });
  event.remove({ output: "projectexpansion:magenta_fuel" });
  event.remove({ output: "projectexpansion:pink_fuel" });
  event.remove({ output: "projectexpansion:purple_fuel" });
  event.remove({ output: "projecte:philosophers_stone" });
  event.remove({ output: "projecte:low_covalence_dust" });
  event.remove({ output: "projecte:medium_covalence_dust" });
  event.remove({ output: "projecte:high_covalence_dust" });
  event.remove({ output: "projecte:dm_furnace" });
  event.remove({ output: "projecte:rm_furnace" });
  
  event.remove({ id: "projectexpansion:power_flower/dark" });
  event.remove({ id: "projectexpansion:power_flower/red" });
  event.remove({ id: "projectexpansion:power_flower/magenta" });
  event.remove({ id: "projectexpansion:power_flower/pink" });
  event.remove({ id: "projectexpansion:power_flower/purple" });
  
  event.remove({ output: 'projecte:dm_pick' })
  event.remove({ output: 'projecte:dm_axe' })
  event.remove({ output: 'projecte:dm_shovel' })
  event.remove({ output: 'projecte:dm_hoe' })
  event.remove({ output: 'projecte:dm_shears' })
  event.remove({ output: 'projecte:dm_hammer' })
  event.remove({ output: 'projecte:dm_sword' })
  event.remove({ output: 'projecte:rm_pick' })
  event.remove({ output: 'projecte:rm_axe' })
  event.remove({ output: 'projecte:rm_shovel' })
  event.remove({ output: 'projecte:rm_hoe' })
  event.remove({ output: 'projecte:rm_shears' })
  event.remove({ output: 'projecte:rm_hammer' })
  event.remove({ output: 'projecte:rm_sword' })
  event.remove({ output: 'projecte:rm_katar' })
  event.remove({ output: 'projecte:rm_morning_star' })
  event.remove({ output: 'projecte:life_stone' })
  event.remove({ output: 'projecte:evertide_amulet' })
  event.remove({ output: '#projectexpansion:advanced_alchemical_chest' })
  event.remove({ output: '#projecte:alchemical_bags' })
  event.remove({ output: 'projecte:void_ring' })
  
  
  event.remove({ id: 'projecte:conversions/iron_ingot_to_ender_pearl' })
  event.remove({ id: 'projecte:conversions/alchemical_coal_to_coal' })
  event.remove({ id: 'projecte:conversions/charcoal_to_coal' })
  event.remove({ id: 'projecte:conversions/coal_to_charcoal' })
  event.remove({ id: 'projecte:conversions/diamond_to_emerald' })
  event.remove({ id: 'projecte:conversions/emerald_to_diamond' })
  event.remove({ id: 'projecte:conversions/gold_ingot_to_diamond' })
  event.remove({ id: 'projecte:conversions/diamond_to_gold_ingot' })
  event.remove({ id: 'projecte:conversions/iron_ingot_to_gold_ingot' })
  event.remove({ id: 'projecte:conversions/gold_ingot_to_iron_ingot' })
})
